Find the answer to your Linux question:
Results 1 to 3 of 3
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1

    do_brk( ) vulnerability in Rh 7.0 kernel 2.2.19

    Hi Group ,
    I need ur help for finding out if the vulnerability discussed in this link,4149,1400446,00.asp is applicable to Kernel 2.2.19 Rh 7.0 . Redhat has a bug open but that too doesn't say anything about the kernels on RH 7.0 . I would really appreciate if some one could guide me on this issue. I went thru the patch mentioned on the bugzilla site but cldn't find the function in the 2.2.19 source code.

    Thanks in advance

  2. #2
    Linux Engineer Giro's Avatar
    Join Date
    Jul 2003
    From the link you posted,4149,1400446,00.asp
    The vulnerability is in all releases of the kernel from Version 2.4.0 through 2.5.69, but has been fixed in Releases 2.4.23-pre7 and 2.6.0-test6.
    It isnt in Kernels until version 2.4.0 so you are safe.

  3. #3
    Hi Giro ,
    Thanks for pointing out the fact to me. I was actually looking out for something more authentic , a posting from Redhat or for someone who has actually tried this on 2.2.19 or for someone who has worked on 2.2.19 . I really appreciate ur prompt reply.
    I need this information to confirm to a customer who uses a product on Rh7.0 Kernel 2.2.19.


  4. $spacer_open

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts